Bug 1359145 (CVE-2016-6263) - CVE-2016-6263 libidn: Crash when given invalid UTF-8 data on input
Summary: CVE-2016-6263 libidn: Crash when given invalid UTF-8 data on input
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-6263
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1359146 1359147 1359148 1452750
Blocks: 1359151
TreeView+ depends on / blocked
 
Reported: 2016-07-22 12:03 UTC by Adam Mariš
Modified: 2019-09-29 13:53 UTC (History)
8 users (show)

Fixed In Version: libidn 1.33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-28 09:13:35 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-07-22 12:03:22 UTC
It was found that when presented with invalid UTF-8 data, stringprep_utf8_nfkc_normalize reject such input, causing application crash.

Upstream fix:

http://git.savannah.gnu.org/cgit/libidn.git/commit/?id=1fbee57ef3c72db2206dd87e4162108b2f425555
changelog: http://git.savannah.gnu.org/cgit/libidn.git/commit/?id=1d2413555dcd1fef26b80445a00a4637965a2df0

CVE assignment:

http://seclists.org/oss-sec/2016/q3/124

Comment 1 Adam Mariš 2016-07-22 12:04:48 UTC
Created libidn tracking bugs for this issue:

Affects: fedora-all [bug 1359146]

Comment 2 Adam Mariš 2016-07-22 12:04:54 UTC
Created mingw-libidn tracking bugs for this issue:

Affects: fedora-all [bug 1359147]
Affects: epel-7 [bug 1359148]

Comment 3 Fedora Update System 2016-07-24 20:18:12 UTC
libidn-1.33-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-08-08 23:56:11 UTC
libidn-1.33-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.